SSH-CHROOTMGR(1)

NAME
ssh-chrootmgr - sets up chroot-ready environment for users

SYNOPSIS
ssh-chrootmgr [-h|-?|--help ] [-q ] [-v ] [-n ] login_name ...

DESCRIPTION

This script is a helper application to be used in instances where you would like to use ChRootUsers or ChRootGroups with sshd and sftp-server.
  With ChRoot{Users,Groups} you can restrict a user to her own home directory (and therefore make it much less likely that the user could steal any information from the file system). This requires, however, that you have static builds (that is, ones that do not use shared libraries) of ssh-dummy-shell and sftp-server available. How to accomplish this depends largely on the system, but the configure script does its best to automatically guess what compiler flags to use. This script is used to simplify the copying of these binaries to a standard place. ssh-chrootmgr tries to dig the user's home directory from /etc/passwd by the supplied username(s) (you can supply more than one username, in which case all these accounts are processed). It then creates a bin directory (if it does not already exist) under the user's home directory. It then copies the static versions of ssh-dummy-shell and sftp-server2 to this directory, and makes a symbolic link sftp-server in that directory to point to the sftp-server2 binary. After you have run this script, you should add the desired users (or groups) to ChRootUsers (ChRootGroups) in sshd2_config. You should also change the user(s) shell to /bin/ssh-dummy-shell in /etc/passwd. (After the chroot operation, the /bin directory is the bin directory in the user's home directory, in the user's perspective.)

OPTIONS

-v  Puts ssh-chrootmgr to verbose mode.

-q  Puts ssh-chrootmgr to quiet mode (only errors are reported).

-n  Specifies, that ssh-chrootmgr should only show what would happen, but does not actually do any copies or like. Particularly useful with -v.

-h or -? or --help
    Shows short help.

AUTHORS

SSH Communications Security Corp For more information, see http://www.ssh.com.

SEE ALSO
ssh2(1), sshd2(8), sshd2_config(5)